
function extract_model_evidence_behav(optim)
clear m;
subject_ids={'SL001','SL002','SL003','SL004','SL005','SL006','SL007','SL008','SL009','SL010','SL011','SL012','SL013','SL014','SL015','SL016'};
datapath='/Users/drea/Documents/TNU_Courses/Methods&Models/ComputationalNeuroimaging/';

m = cell(numel(subject_ids),1);

if nargin < 1
    optim = 2;
end

switch optim
    case 1
        load(fullfile(datapath, 'Andreea_25_03.mat'));
        F{16,12}=[];
        for i=1:16
            for j=1:12
            F{i,j}=results{i,j}.gp_F;
            end
        end
        
    case 2
        load(fullfile(datapath, 'Andreea_25_03.mat'));
        F{16,12}=[];
        for i=1:16
            for j=1:12
            F{i,j}=results{i,j}.qn_F;
            end
        end
end
%%
temp = cell2mat(F);
nModels = size(temp,2);
log_bfs_all=repmat(temp(:,1),[1 (nModels-1)]) -temp(:,2:nModels);
figure; bar(log_bfs_all);

figure('Name', 'Group Bayes Factor');
log_group_bayes_factor = sum(log_bfs_all);
handleBar = bar(2:nModels,log_group_bayes_factor);
set(handleBar, 'FaceColor', [0.3 0.3 0.3])
line([0 nModels+1],[10 10], 'LineWidth',2,'LineStyle','-.','Color',[1 0 0]);
ylim([-10 800]);


figure;
for s=1:16, 
    log_bfs=repmat(temp(s,1),[1 (size(temp,2)-1)]) -temp(s,2:size(temp,2));
    Y=[0, log_bfs(1:2)
       log_bfs(3:5)
       log_bfs(6:8)
       log_bfs(9:11)];
    subplot(4,4,s);bar(Y);
    line([0 6],[3 3], 'LineWidth',1.5,'LineStyle','-.','Color',[0.3 0.3 0.3]);
    title(sprintf('%s', subject_ids{s}));
    ylim([-10 100]);
    set(gca,'XTickLabel',{'HGF1','HGF2','HGF3','RW'},'FontSize',12)
    ylabel({'Bayes Factor Ratio';
            ['ln(M_1):ln(M_x)']}, 'FontSize',16);     
            
end
legend('Integrated Model','Reduced Advice','Reduced Cue');
load([datapath 'family_allmodels.mat']);
family1=family_allmodels;
family1=family_allmodels;
family1.alpha0=[];
family1.s_samp= [];
family1.exp_r=[];
family1.xp=[];
family1.names={'HGF_vol','HGF_noise','HGF_novol','RW'};
family1.partition = [1 1 1 2 2 2 3 3 3 4 4 4];
[family_perceptualmodels,model] = spm_compare_families(temp,family1);
figure;
H=family_perceptualmodels.exp_r;
N=numel(H);
colors=jet(numel(H));
for i=1:N
    h=bar(i,H(i));
    if i==1, hold on, end
    set(h,'FaceColor',colors(i,:))
end
set(gca,'XTick',1:4)
set(gca,'XTickLabel',{'HGF_vol','HGF_noise','HGF_novol','RW'})
ylabel('p(r|y)');

